#-------------------------------------------------
#
# Project created by QtCreator 2020-02-07T17:37:09
#
#-------------------------------------------------

QT       += core gui webenginewidgets network  webenginecore widgets

#DEFINES += QT_DEPRECATED_WARNINGS

# You can also make your code fail to compile if you use deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

TEMPLATE = app
INCLUDEPATH += C:/VTK-7.1.1/installMSVC/include/vtk-7.1/ \
        C:/qwt-6.1.4/src \
    C:/InteractiveCppLibQt5VTK7/InteractiveDLL \
    C:/InteractiveCppLibQt5VTK7/CFiles \
    C:/VTK-7.1.1/installMSVC/lib \

CONFIG = qt release
TARGET = Program1
HEADERS +=
SOURCES += Program1.cpp
FORMS +=
RESOURCES +=
LIBS += ./lib/qwt.lib\
       ./lib/vtkGUISupportQt-7.1.lib\
    ./lib/vtkGUISupportQtOpenGL-7.1.lib \
    ./lib/vtkFiltersCore-7.1.lib \
    ./lib/vtkFiltersSources-7.1.lib \
    ./lib/vtkCommonExecutionModel-7.1.lib \
    ./lib/vtkFiltersGeneric-7.1.lib \
    ./lib/vtkCommonCore-7.1.lib \
    ./lib/vtkCommonDataModel-7.1.lib \
    ./lib/vtkChartsCore-7.1.lib \
    ./lib/vtkViewsContext2D-7.1.lib \
    ./lib/vtkRenderingAnnotation-7.1.lib \
    ./lib/vtkRenderingCore-7.1.lib \
    ./lib/vtkRenderingVolume-7.1.lib \
    ./lib/vtkRenderingVolumeOpenGL2-7.1.lib \
    ./lib/vtkRenderingOpenGL2-7.1.lib \
    ./lib/vtkRenderingFreeType-7.1.lib \
    ./lib/vtkInteractionStyle-7.1.lib \
    ./lib/vtkRenderingQt-7.1.lib \
    ./lib/vtkImagingCore-7.1.lib \
    ./lib/vtkIOImport-7.1.lib \
	./InteractiveLib.lib\




